aagc.vo

## Class FarmacoErogato

- java.lang.Object
- - aagc.vo.FarmacoErogato

-     public class FarmacoErogato
      extends java.lang.Object

  Dati inerenti un farmaco erogato.
  E' composto dai seguenti dati:

  - codMinisteriale: Codice ministeriale del farmaco
  - codNotaAIFA: Codice nota AIFA
  - flagSostituito: Flag indicante la sostituzione del farmaco in fase di erogazione.
    Valori assunti:
    - 0 = no
    - 1 = si
  - impFarmaco: Importo del farmaco
  - impSconto: Importo sconto
  - progConfezione: Progressivo degli spazi in cui apporre i bollini adesivi dei farmaci

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="farmacoErogato">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="codMinisteriale">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[a-zA-Z0-9]+"/>
                     <maxLength value="10"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codNotaAIFA" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[a-zA-Z0-9]*"/>
                     <maxLength value="3"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="flagSostituito" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="0|1"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="impFarmaco">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[\-]?[0-9]+(,[0-9]{1,3})?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="impSconto">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[\-]?[0-9]+(,[0-9]{1,3})?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="progConfezione">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]+"/>
                     <maxLength value="2"/>
                   </restriction>
                 </simpleType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `codMinisteriale`
    `protected java.lang.String` | `codNotaAIFA`
    `protected java.lang.String` | `flagSostituito`
    `protected java.lang.String` | `impFarmaco`
    `protected java.lang.String` | `impSconto`
    `protected java.lang.String` | `progConfezione`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FarmacoErogato()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodMinisteriale()` Recupera il valore della proprietà codMinisteriale.
    `java.lang.String` | `getCodNotaAIFA()` Recupera il valore della proprietà codNotaAIFA.
    `java.lang.String` | `getFlagSostituito()` Recupera il valore della proprietà flagSostituito.
    `java.lang.String` | `getImpFarmaco()` Recupera il valore della proprietà impFarmaco.
    `java.lang.String` | `getImpSconto()` Recupera il valore della proprietà impSconto.
    `java.lang.String` | `getProgConfezione()` Recupera il valore della proprietà progConfezione.
    `void` | `setCodMinisteriale(java.lang.String value)` Imposta il valore della proprietà codMinisteriale.
    `void` | `setCodNotaAIFA(java.lang.String value)` Imposta il valore della proprietà codNotaAIFA.
    `void` | `setFlagSostituito(java.lang.String value)` Imposta il valore della proprietà flagSostituito.
    `void` | `setImpFarmaco(java.lang.String value)` Imposta il valore della proprietà impFarmaco.
    `void` | `setImpSconto(java.lang.String value)` Imposta il valore della proprietà impSconto.
    `void` | `setProgConfezione(java.lang.String value)` Imposta il valore della proprietà progConfezione.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codMinisteriale

          protected java.lang.String codMinisteriale

    - #### codNotaAIFA

          protected java.lang.String codNotaAIFA

    - #### flagSostituito

          protected java.lang.String flagSostituito

    - #### impFarmaco

          protected java.lang.String impFarmaco

    - #### impSconto

          protected java.lang.String impSconto

    - #### progConfezione

          protected java.lang.String progConfezione

  - ### Constructor Detail

    - #### FarmacoErogato

          public FarmacoErogato()

  - ### Method Detail

    - #### getCodMinisteriale

          public java.lang.String getCodMinisteriale()

      Recupera il valore della proprietà codMinisteriale.
      Returns:
        possible object is `String`

    - #### setCodMinisteriale

          public void setCodMinisteriale(java.lang.String value)

      Imposta il valore della proprietà codMinisteriale.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodNotaAIFA

          public java.lang.String getCodNotaAIFA()

      Recupera il valore della proprietà codNotaAIFA.
      Returns:
        possible object is `String`

    - #### setCodNotaAIFA

          public void setCodNotaAIFA(java.lang.String value)

      Imposta il valore della proprietà codNotaAIFA.
      Parameters:
        `value` - allowed object is `String`

    - #### getFlagSostituito

          public java.lang.String getFlagSostituito()

      Recupera il valore della proprietà flagSostituito.
      Returns:
        possible object is `String`

    - #### setFlagSostituito

          public void setFlagSostituito(java.lang.String value)

      Imposta il valore della proprietà flagSostituito.
      Parameters:
        `value` - allowed object is `String`

    - #### getImpFarmaco

          public java.lang.String getImpFarmaco()

      Recupera il valore della proprietà impFarmaco.
      Returns:
        possible object is `String`

    - #### setImpFarmaco

          public void setImpFarmaco(java.lang.String value)

      Imposta il valore della proprietà impFarmaco.
      Parameters:
        `value` - allowed object is `String`

    - #### getImpSconto

          public java.lang.String getImpSconto()

      Recupera il valore della proprietà impSconto.
      Returns:
        possible object is `String`

    - #### setImpSconto

          public void setImpSconto(java.lang.String value)

      Imposta il valore della proprietà impSconto.
      Parameters:
        `value` - allowed object is `String`

    - #### getProgConfezione

          public java.lang.String getProgConfezione()

      Recupera il valore della proprietà progConfezione.
      Returns:
        possible object is `String`

    - #### setProgConfezione

          public void setProgConfezione(java.lang.String value)

      Imposta il valore della proprietà progConfezione.
      Parameters:
        `value` - allowed object is `String`